{% extends 'base.html.twig' %}

{% block content %}

    <ol class="breadcrumb">
        <li><a href="{{ path('homepage') }}">{{ 'breadcrumbs.home' | trans }}</a></li>
        <li><a href="{{ path('domain') }}">{{ 'breadcrumbs.domains.title' | trans }}</a></li>
        <li><a href="{{ path('domain-help') }}">{{ 'breadcrumbs.domains.help' | trans }}</a></li>
    </ol>

<div class="clearfix">

    <h3>C'est quoi ?</h3>
    <p>Cette étape vous permet de rattacher un nom de domaine existant (par exemple "<a href="https://champignons-quercy.fr">champignons-quercy.fr</a>", "<a href="https://boulangeriedu92.org">boulangeriedu92.org</a>") à un de vos sites hébergés par framasite (par exemple "<a href="https://champiquercy.frama.wiki">champiquercy.frama.wiki</a>" ou "<a href="https://boulange92.frama.site">boulange92.frama.site</a>").</p>

    <p>Ainsi, quand quelqu'un tapera <a href="https://champignons-quercy.fr">https://champignons-quercy.fr</a> dans son navigateur, c'est le contenu de <a href="https://champiquercy.frama.site">https://champiquercy.frama.site</a> qui s'affichera.</p>
    <div class="alert alert-info">
        Notes :
        <ol>
            <li>il ne s'agit pas d'une simple redirection, si vous avez une page <a href="https://champiquercy.frama.site/notre-association.html">https://champiquercy.frama.site/notre-association.html</a> la page <a href="https://champignons-quercy.fr/notre-association.html">https://champignons-quercy.fr/notre-association.html</a> existera aussi (c'est à dire que vos visiteurs, une fois arrivés sur <a href="https://champignons-quercy.fr">https://champignons-quercy.fr</a> ne verront pas qu'en fait il s'agit du site https://champiquercy.frama.site</li>
            <li>le site restera accessible via <a href="https://champiquercy.frama.site">https://champiquercy.frama.site</a>, même après avoir rattaché votre site. Cela afin de palier à d'éventuels problèmes (ex: expiration du nom de domaine, référencement, dépannage,etc)</li>
            <li>le certificat numérique de votre site (c'est à dire le fait que les communications entre le navigateur de vos visiteurs et le serveur Framasite soient protégées) est généré automatiquement.</li>
        </ol>
    </div>

    <div class="alert alert-warning">Dans quelques semaines, cette étape pourra être réalisée directement depuis le site Framasite, en déléguant à Framasoft l'achat du domaine et son rattachement automatique à votre Framasite. D'ici là, la procédure doit être faite manuellement.</div>

    <h3>Comment ça marche ?</h3>

    <h4>Etape 1 : créer un Framasite</h4>
    <p>D'abord, il vous faut que le Framasite que vous voulez attacher à un nom de domaine soit déjà existant. Logiquement, si vous êtes sur cette page, c'est que cela doit être déjà le cas :)</p>


    <h4>Etape 2 : Réserver son nom de domaine</h4>

    <div class="alert alert-info">NB : si vous avez déjà réservé votre nom de domaine, vous pouvez directement passer à l'étape 5.</div>


    <p>Ensuite, il vous faut acheter le nom de domaine de votre choix chez une entreprise spécialisée, qu'on appelle <em>« registrar »</em>.</p>

    <p>Plutôt que d'achat, nous devrions parler de location, car dans les faits, les domaines sont valables pour une ou plusieurs années, pendant lesquelles vous serez bien identifié⋅e comme en étant le ou la propriétaire. Mais à la date d'expiration de ce domaine (par exemple un an après l'avoir réservé), si vous ne renouvelez pas cette réservation, votre domaine sera à nouveau disponible pour le premier ou la première venue.</p>

    <p>Concrètement, réserver le domaine "<a href="https://champignons-quercy.fr">champignons-quercy.fr</a>" vous coutera environ 15€ par an. Ce prix varie selon les <em>registrars</em> et les « extensions » (le "<a href="https://champignons-quercy.fr">champignons-quercy.fr</a>" peut couter moins cher que "<a href="https://champignon-quercy.paris">champignon-quercy.paris</a>", par exemple). Et il vous appartient de renouveler cette réservation chaque année.</p>

    <p>Il existe <a href="https://www.icann.org/registrar-reports/accredited-list.html">des milliers de <em>registrars</em></a>, mais nous allons suivre la procédure chez un <em>registrar</em> français bien connu pour son éthique : <a href="https://gandi.net">Gandi.net</a></p>

    <h4>Etape 3 : vérifier la disponibilité de son nom de domaine</h4>
    <p>Sur le site de Gandi, saisissez le nom de domaine qui vous intéresse :</p>
    <img src="https://docs.framasoft.org/fr/framasite/images/4rDWsviH2OqG.png" />
    <p>Le domaine est disponible ? Parfait ! Ajoutez-le à votre panier</p>
    <img src="https://docs.framasoft.org/fr/framasite/images/Ti8D25a6cQKk.png" />
    <p>Le domaine est déjà pris ? Dommage, nous ne pouvons rien pour vous : il faudra vous trouver un autre nom de domaine et répéter cette étape autant de fois que nécessaire...</p>

    <h4>Etape 4 : payer le nom de domaine</h4>
    <p>Si vous avez un compte, identifiez-vous. Sinon, créez vous un nouveau compte et laissez-vous guider :</p>
    <img src="https://docs.framasoft.org/fr/framasite/images/Fp3ywCoIBTFk.png" />

    <p>La procédure peut prendre quelques heures, vous recevrez un email du <em>registrar</em> une fois le domaine correctement réservé.</p>

    <h4>Etape 5 : modifier les DNS</h4>
    C'est l'étape la plus technique.

    <p>Elle consiste à modifier la <a href="https://fr.wikipedia.org/wiki/Domain_Name_System">zone DNS</a> de votre domaine (par exemple "<a href="https://champignons-quercy.fr"> champignons-quercy.fr</a>") pour que ce dernier pointe vers la machine qui héberge votre framasite. Ainsi, quand quelqu'un tapera "<a href="https://champignons-quercy.fr"> https://champignons-quercy.fr</a>", c'est le contenu de votre framasite qui s'affichera.</p>

    <p>Techniquement, il suffit de faire pointer les champs <code>A</code> et <code>AAAA</code> sur les valeurs <code>144.76.131.210</code> et <code>2a01:4f8:141:3421::210</code></p>

    <p>Vous n'avez rien compris à la phrase précédente ? Pas de souci, voici un exemple clair et simple à comprendre.</p>

    {% include 'default/domain/help/help_attach_external.html.twig' %}
</div>

{% endblock %}
